Subject: Re: Question: Proper place for port details?

From: Jeff Kirsher <[email-masked]>
Date: Thu, 04 Oct 2012 20:12:21 -0700

On 10/04/2012 01:28 AM, Stefan Raspl wrote:
> Some network device drivers are capable of collecting further
> information on the link partner, e.g. reporting details on the port
> in the adjacent switch. Is there a good place to make these
> available outside of the kernel? ethtool gives a bit of information
> like the link partner's speed or duplex mode. But is adding further
> information about the link partner to ethtool desired, or is there a
> better place somewhere else?
>
> Ciao,
> Stefan
IMHO, reporting details on a port should be reported by Ethtool.